
%global meadversion 2.9.9
%global namedversion 2.9.9.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-core}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.9.9.redhat-00001

Name:           %{?scl_prefix}jackson-core
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson-core
Group:          Development/Java

%if %with mead
Source100: jackson-core-2.9.9.redhat-00001-project-sources.tar.gz
Source102: jackson-core-2.9.9.redhat-00001.pom
Source103: jackson-core-2.9.9.redhat-00001-javadoc.jar
Source104: jackson-core-2.9.9.redhat-00001.jar
Source105: jackson-core-2.9.9.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/FasterXML/jackson
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-core-%{namedversion}-%{release}-root

%description
Core Jackson abstractions, basic JSON streaming API implementation.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-core
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jackson-core-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-core-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-core-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-core-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-core-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-core-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-core-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-core-%{namedversion} %{buildroot}%{_javadocdir}/jackson-core
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md release-notes/CREDITS-2.x release-notes/VERSION-2.x
%{_javadir}/jackson-core-%{namedversion}.jar
%{_javadir}/jackson-core.jar
%if %with javadoc
%{_javadir}/jackson-core-%{namedversion}-javadoc.jar
%{_javadir}/jackson-core-javadoc.jar
%else
%exclude %{_javadir}/jackson-core-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-core-javadoc.jar
%endif
%{_javadir}/jackson-core-%{namedversion}-sources.jar
%{_javadir}/jackson-core-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-core-%{namedversion}
%{_javadocdir}/jackson-core
%endif

%changelog
* Mon Jun 17 2019 Permaine Cheung <pcheung@redhat.com> - 2.9.9-1.redhat_00001.1
- 2.9.9.redhat-00001

* Fri Jun 07 2019 Yong Yang <yyang@redhat.com> - 2.9.5-3.redhat_2.1
- RPM wrapper build

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.9.5-2.redhat_2.1
- Rewrap for 7.2.0

* Fri May 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Mon Jan 29 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.11-1.redhat_1.1
- upgrade to 2.8.11.redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 2.8.9-1.redhat_1.1
- upgrade to 2.8.9.redhat-1

* Mon Feb 06 2017 Petr Sakar <psakar@redhat.com> - 2.8.6-1.redhat_1.1
- upgrade to 2.8.6.redhat-1

* Fri Feb 03 2017 Petr Sakar <psakar@redhat.com> - 2.8.5-1.redhat_1.1
- upgrade to 2.8.5.redhat-1

* Fri Oct 14 2016 Filip Kujikis <fkujikis@redhat.com> - 2.8.3-1.redhat_1.1
- prod build for upstream tag jackson-core-2.8.3

* Thu Aug 11 2016 Petr Sakar <psakar@redhat.com> - 2.7.4-1.redhat_1.1
- upgrade to 2.7.4.redhat-1

* Tue Oct 27 2015 David Walluck <dwalluck@redhat.com> - 2.5.4-1.redhat_1.1
- 2.5.4

* Tue Aug 04 2015 David Walluck <dwalluck@redhat.com> - 2.5.2-1.redhat_1.1
- 2.5.2

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-2.redhat_1.1
- remove Requires

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-1.redhat_1.1
- release

